name: traderscircuit
description: A new Flutter project.

publish_to: "none"

version: 1.0.0+1

environment:
  sdk: ">=2.19.6 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  videoplayerkb:
    git:
      url: https://github.com/kishan06/videoPlayerKB.git
  cupertino_icons: ^1.0.2
  get: ^4.6.5
  flutter_screenutil: ^5.9.0
  flutter_svg: ^2.0.5
  shared_preferences: ^2.0.15
  connectivity_plus: ^5.0.2
  glassmorphism: ^3.0.0
  pin_code_fields: ^8.0.1
  fluttertoast: ^8.0.9
  dropdown_button2: ^2.1.4
  gap: ^3.0.1
  image_picker: ^1.0.7
  dotted_border: ^2.1.0
  image_cropper:
  file_picker: any
  lottie: ^2.7.0
  chewie: ^1.5.0
  video_player: ^2.5.2

  onesignal_flutter: ^3.5.1
  cached_network_image: ^3.3.1
  firebase_core:
  dio: ^5.1.2
  expansion_tile_group: ^1.2.4

  local_auth:

  scgateway_flutter_plugin: ^2.3.1
  async: ^2.4.1
  just_audio: ^0.9.37
  audio_video_progress_bar: ^2.0.2
  syncfusion_flutter_pdfviewer:
  flutter_html: ^3.0.0-beta.2

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^2.0.0

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/images/svg/
    - assets/images/svg/sidemenu/
    - assets/images/png/sidemenu/
    - assets/images/png/

  fonts:
    - family: manrope
      fonts:
        - asset: assets/fonts/manrope/Manrope-VariableFont_wght.ttf

    - family: hiragino
      fonts:
        - asset: assets/fonts/hiragino/HiraginoInterface.ttc
